@echo off
setlocal

FOR /f "delims=" %%i IN ('dir /b *.mkv') DO call :recode "%%i"
goto :done

:recode
set oldfile=%1
echo %oldfile% | find /i "[8bit]" > nul:
if not errorlevel 1 goto :eof
set newfile=%oldfile:.mkv= [8bit].mkv%
if exist %newfile% goto :eof
echo %oldfile%
set tmpfile=%oldfile:.mkv=.tmp.mkv%
if exist %tmpfile% del /f /q %tmpfile%
x264 --preset veryfast --tune animation --crf 18 -o %tmpfile% %oldfile%
mkvmerge -o %newfile% -D %oldfile% %tmpfile%
if exist %tmpfile% del /f /q %tmpfile%
goto :eof

:done
endlocal